## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit  c8d0835c3a62a0e60cdb32d26be8b75485a23a96

Name:           solarus-quest-editor
Version:        1.6.5
Release:        %autorelease
Summary:        The Solarus Quest Editor

# Main program: GPL-3.0-or-later
#
# CC-BY-SA-3.0 Author: Yusuke Kamiyamane: http://p.yusukekamiyamane.com
# resources/images/entity_custom_entity.png
# resources/images/entity_tile.png
# resources/images/icon_add.png
# resources/images/icon_camera.png
# resources/images/icon_copy.png
# resources/images/icon_cross.png
# resources/images/icon_cross_small.png
# resources/images/icon_cut.png
# resources/images/icon_delete.png
# resources/images/icon_edit.png
# resources/images/icon_error.png
# resources/images/icon_folder_closed.png
# resources/images/icon_folder_open.png
# resources/images/icon_folder_open_music.png
# resources/images/icon_file.png
# resources/images/icon_first.png
# resources/images/icon_glasses.png
# resources/images/icon_image.png
# resources/images/icon_inside.png
# resources/images/icon_last.png
# resources/images/icon_next.png
# resources/images/icon_open.png
# resources/images/icon_outside.png
# resources/images/icon_paste.png
# resources/images/icon_pause.png
# resources/images/icon_previous.png
# resources/images/icon_redo.png
# resources/images/icon_refresh.png
# resources/images/icon_remove.png
# resources/images/icon_rename.png
# resources/images/icon_resource_enemy.png
# resources/images/icon_resource_entity.png
# resources/images/icon_resource_font.png
# resources/images/icon_resource_item.png
# resources/images/icon_resource_map.png
# resources/images/icon_resource_music.png
# resources/images/icon_resource_shader.png
# resources/images/icon_resource_sound.png
# resources/images/icon_resource_sprite.png
# resources/images/icon_resource_tileset.png
# resources/images/icon_resize_all.png
# resources/images/icon_resize_horizontal.png
# resources/images/icon_resize_none.png
# resources/images/icon_resize_vertical.png
# resources/images/icon_save.png
# resources/images/icon_script.png
# resources/images/icon_start.png
# resources/images/icon_stop.png
# resources/images/icon_undo.png
# resources/images/icon_web.png
# resources/images/icon_doc.png
# resources/images/icon_string.png
# resources/images/icon_strings.png
# resources/images/icon_dialog.png
# resources/images/icon_dialogs.png
# resources/images/icon_property.png
# resources/images/icon_up.png
# resources/images/icon_down.png
#
# CC-BY-SA-3.0 Author: Christopho, adapted from Yusuke Kamiyamane's icons
# resources/images/entity_tile_missing.png
# resources/images/icon_dialog_missing.png
# resources/images/icon_dialogs_missing.png
# resources/images/icon_file_unknown.png
# resources/images/icon_folder_open_enemy.png
# resources/images/icon_folder_open_entity.png
# resources/images/icon_folder_open_font.png
# resources/images/icon_folder_open_item.png
# resources/images/icon_folder_open_language.png
# resources/images/icon_folder_open_map.png
# resources/images/icon_folder_open_missing.png
# resources/images/icon_folder_open_shader.png
# resources/images/icon_folder_open_sound.png
# resources/images/icon_folder_open_sprite.png
# resources/images/icon_folder_open_tileset.png
# resources/images/icon_image_language.png
# resources/images/icon_image_tileset.png
# resources/images/icon_layer_0.png
# resources/images/icon_layer_1.png
# resources/images/icon_layer_2.png
# resources/images/icon_missing.png
# resources/images/icon_pause_music.png
# resources/images/icon_play_music.png
# resources/images/icon_property_missing.png
# resources/images/icon_resource_enemy_missing.png
# resources/images/icon_resource_entity_missing.png
# resources/images/icon_resource_font_missing.png
# resources/images/icon_resource_item_missing.png
# resources/images/icon_resource_language.png
# resources/images/icon_resource_language_missing.png
# resources/images/icon_resource_map_missing.png
# resources/images/icon_resource_music_missing.png
# resources/images/icon_resource_shader_missing.png
# resources/images/icon_resource_sound_missing.png
# resources/images/icon_resource_sprite_missing.png
# resources/images/icon_resource_tileset_missing.png
# resources/images/icon_script_map.png
# resources/images/icon_stop_music.png
# resources/images/icon_string_missing.png
# resources/images/icon_strings_missing.png
#
# CC-BY-SA-4.0 other data files
License:        GPL-3.0-or-later AND CC-BY-SA-3.0 AND CC-BY-SA-4.0
URL:            https://www.solarus-games.org/
VCS:            https://gitlab.com/solarus-games/solarus-quest-editor
Source:         %VCS/-/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(glm)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(opengl)
BuildRequires:  pkgconfig(physfs)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  solarus-devel
Requires:       %{name}-assets = %{version}-%{release}

ExclusiveArch:  x86_64

%description
Solarus Quest Editor is a graphical user interface to create and modify quests
for the Solarus engine.

%package assets
Summary:        Assets for Solarus Quest Editor
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}

%description assets
Assets for Solarus Quest Editor.

%prep
%autosetup -p1 -n %{name}-v%{version}-%{commit}

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang solarus_editor --with-qt

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files -f solarus_editor.lang
%doc changelog.md readme.md
%license license.txt license_gpl.txt
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/%{name}-symbolic.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files assets
%{_datadir}/%{name}/

%changelog
* Sat Aug 05 2023 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.5-1
- Uncommitted changes
